﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ClientApp.AuthService {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputCreateSession", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputCreateSession : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceInputCreateSessionParams ParametersField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceInputCreateSessionParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputCreateSessionParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputCreateSessionParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ApplicationTypeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ApplicationVersionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EIDField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int UserIDField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ApplicationType {
            get {
                return this.ApplicationTypeField;
            }
            set {
                if ((object.ReferenceEquals(this.ApplicationTypeField, value) != true)) {
                    this.ApplicationTypeField = value;
                    this.RaisePropertyChanged("ApplicationType");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ApplicationVersion {
            get {
                return this.ApplicationVersionField;
            }
            set {
                if ((object.ReferenceEquals(this.ApplicationVersionField, value) != true)) {
                    this.ApplicationVersionField = value;
                    this.RaisePropertyChanged("ApplicationVersion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string EID {
            get {
                return this.EIDField;
            }
            set {
                if ((object.ReferenceEquals(this.EIDField, value) != true)) {
                    this.EIDField = value;
                    this.RaisePropertyChanged("EID");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int UserID {
            get {
                return this.UserIDField;
            }
            set {
                if ((this.UserIDField.Equals(value) != true)) {
                    this.UserIDField = value;
                    this.RaisePropertyChanged("UserID");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputCreateSession", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputCreateSession : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceOutputCreateSessionParams ParametersField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceStatus StatusField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceOutputCreateSessionParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceStatus Status {
            get {
                return this.StatusField;
            }
            set {
                if ((object.ReferenceEquals(this.StatusField, value) != true)) {
                    this.StatusField = value;
                    this.RaisePropertyChanged("Status");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputCreateSessionParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputCreateSessionParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string JsonWebTokenField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string JsonWebToken {
            get {
                return this.JsonWebTokenField;
            }
            set {
                if ((object.ReferenceEquals(this.JsonWebTokenField, value) != true)) {
                    this.JsonWebTokenField = value;
                    this.RaisePropertyChanged("JsonWebToken");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceStatus", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceStatus : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CodeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DescriptionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Code {
            get {
                return this.CodeField;
            }
            set {
                if ((object.ReferenceEquals(this.CodeField, value) != true)) {
                    this.CodeField = value;
                    this.RaisePropertyChanged("Code");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Description {
            get {
                return this.DescriptionField;
            }
            set {
                if ((object.ReferenceEquals(this.DescriptionField, value) != true)) {
                    this.DescriptionField = value;
                    this.RaisePropertyChanged("Description");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputGetEndUserInfoByJsonWebToken", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputGetEndUserInfoByJsonWebToken : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceInputGetEndUserInfoByJsonWebTokenParams ParametersField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceInputGetEndUserInfoByJsonWebTokenParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputGetEndUserInfoByJsonWebTokenParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputGetEndUserInfoByJsonWebTokenParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string JsonWebTokenField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string JsonWebToken {
            get {
                return this.JsonWebTokenField;
            }
            set {
                if ((object.ReferenceEquals(this.JsonWebTokenField, value) != true)) {
                    this.JsonWebTokenField = value;
                    this.RaisePropertyChanged("JsonWebToken");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputGetEndUserInfoByJsonWebToken", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputGetEndUserInfoByJsonWebToken : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceOutputGetEndUserInfoByJsonWebTokenParams ParametersField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceStatus StatusField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceOutputGetEndUserInfoByJsonWebTokenParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceStatus Status {
            get {
                return this.StatusField;
            }
            set {
                if ((object.ReferenceEquals(this.StatusField, value) != true)) {
                    this.StatusField = value;
                    this.RaisePropertyChanged("Status");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputGetEndUserInfoByJsonWebTokenParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputGetEndUserInfoByJsonWebTokenParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int EIDField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FirstNameField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string LastNameField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MobileNumberField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int UserIDField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int EID {
            get {
                return this.EIDField;
            }
            set {
                if ((this.EIDField.Equals(value) != true)) {
                    this.EIDField = value;
                    this.RaisePropertyChanged("EID");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string FirstName {
            get {
                return this.FirstNameField;
            }
            set {
                if ((object.ReferenceEquals(this.FirstNameField, value) != true)) {
                    this.FirstNameField = value;
                    this.RaisePropertyChanged("FirstName");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string LastName {
            get {
                return this.LastNameField;
            }
            set {
                if ((object.ReferenceEquals(this.LastNameField, value) != true)) {
                    this.LastNameField = value;
                    this.RaisePropertyChanged("LastName");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MobileNumber {
            get {
                return this.MobileNumberField;
            }
            set {
                if ((object.ReferenceEquals(this.MobileNumberField, value) != true)) {
                    this.MobileNumberField = value;
                    this.RaisePropertyChanged("MobileNumber");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int UserID {
            get {
                return this.UserIDField;
            }
            set {
                if ((this.UserIDField.Equals(value) != true)) {
                    this.UserIDField = value;
                    this.RaisePropertyChanged("UserID");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputReportEndUserLoginInfoByJsonWebToken", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputReportEndUserLoginInfoByJsonWebToken : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceInputReportEndUserLoginInfoByJsonWebTokenParams ParametersField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceInputReportEndUserLoginInfoByJsonWebTokenParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputReportEndUserLoginInfoByJsonWebTokenParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputReportEndUserLoginInfoByJsonWebTokenParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ApplicationTypeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ApplicationVersionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string JsonWebTokenField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ApplicationType {
            get {
                return this.ApplicationTypeField;
            }
            set {
                if ((object.ReferenceEquals(this.ApplicationTypeField, value) != true)) {
                    this.ApplicationTypeField = value;
                    this.RaisePropertyChanged("ApplicationType");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ApplicationVersion {
            get {
                return this.ApplicationVersionField;
            }
            set {
                if ((object.ReferenceEquals(this.ApplicationVersionField, value) != true)) {
                    this.ApplicationVersionField = value;
                    this.RaisePropertyChanged("ApplicationVersion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string JsonWebToken {
            get {
                return this.JsonWebTokenField;
            }
            set {
                if ((object.ReferenceEquals(this.JsonWebTokenField, value) != true)) {
                    this.JsonWebTokenField = value;
                    this.RaisePropertyChanged("JsonWebToken");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputReportEndUserLoginInfoByJsonWebToken", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputReportEndUserLoginInfoByJsonWebToken : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceStatus StatusField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceStatus Status {
            get {
                return this.StatusField;
            }
            set {
                if ((object.ReferenceEquals(this.StatusField, value) != true)) {
                    this.StatusField = value;
                    this.RaisePropertyChanged("Status");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputValidateSessionByJsonWebToken", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputValidateSessionByJsonWebToken : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceInputValidateSessionByJsonWebTokenParams ParametersField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceInputValidateSessionByJsonWebTokenParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceInputValidateSessionByJsonWebTokenParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceInputValidateSessionByJsonWebTokenParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string JsonWebTokenField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string JsonWebToken {
            get {
                return this.JsonWebTokenField;
            }
            set {
                if ((object.ReferenceEquals(this.JsonWebTokenField, value) != true)) {
                    this.JsonWebTokenField = value;
                    this.RaisePropertyChanged("JsonWebToken");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputValidateSessionByJsonWebToken", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputValidateSessionByJsonWebToken : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceOutputValidateSessionByJsonWebTokenParams ParametersField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private ClientApp.AuthService.WebServiceStatus StatusField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceOutputValidateSessionByJsonWebTokenParams Parameters {
            get {
                return this.ParametersField;
            }
            set {
                if ((object.ReferenceEquals(this.ParametersField, value) != true)) {
                    this.ParametersField = value;
                    this.RaisePropertyChanged("Parameters");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public ClientApp.AuthService.WebServiceStatus Status {
            get {
                return this.StatusField;
            }
            set {
                if ((object.ReferenceEquals(this.StatusField, value) != true)) {
                    this.StatusField = value;
                    this.RaisePropertyChanged("Status");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WebServiceOutputValidateSessionByJsonWebTokenParams", Namespace="http://schemas.datacontract.org/2004/07/MotorsazanAA")]
    [System.SerializableAttribute()]
    public partial class WebServiceOutputValidateSessionByJsonWebTokenParams : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool IsValidField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool IsValid {
            get {
                return this.IsValidField;
            }
            set {
                if ((this.IsValidField.Equals(value) != true)) {
                    this.IsValidField = value;
                    this.RaisePropertyChanged("IsValid");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="AuthService.IApp")]
    public interface IApp {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/CreateSession", ReplyAction="http://tempuri.org/IApp/CreateSessionResponse")]
        ClientApp.AuthService.WebServiceOutputCreateSession CreateSession(ClientApp.AuthService.WebServiceInputCreateSession ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/CreateSession", ReplyAction="http://tempuri.org/IApp/CreateSessionResponse")]
        System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputCreateSession> CreateSessionAsync(ClientApp.AuthService.WebServiceInputCreateSession ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/GetUserInfoByJsonWebToken", ReplyAction="http://tempuri.org/IApp/GetUserInfoByJsonWebTokenResponse")]
        ClientApp.AuthService.WebServiceOutputGetEndUserInfoByJsonWebToken GetUserInfoByJsonWebToken(ClientApp.AuthService.WebServiceInputGetEndUserInfoByJsonWebToken ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/GetUserInfoByJsonWebToken", ReplyAction="http://tempuri.org/IApp/GetUserInfoByJsonWebTokenResponse")]
        System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputGetEndUserInfoByJsonWebToken> GetUserInfoByJsonWebTokenAsync(ClientApp.AuthService.WebServiceInputGetEndUserInfoByJsonWebToken ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/ReportUserLoginInfoByJsonWebToken", ReplyAction="http://tempuri.org/IApp/ReportUserLoginInfoByJsonWebTokenResponse")]
        ClientApp.AuthService.WebServiceOutputReportEndUserLoginInfoByJsonWebToken ReportUserLoginInfoByJsonWebToken(ClientApp.AuthService.WebServiceInputReportEndUserLoginInfoByJsonWebToken ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/ReportUserLoginInfoByJsonWebToken", ReplyAction="http://tempuri.org/IApp/ReportUserLoginInfoByJsonWebTokenResponse")]
        System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputReportEndUserLoginInfoByJsonWebToken> ReportUserLoginInfoByJsonWebTokenAsync(ClientApp.AuthService.WebServiceInputReportEndUserLoginInfoByJsonWebToken ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/ValidateSessionByJsonWebToken", ReplyAction="http://tempuri.org/IApp/ValidateSessionByJsonWebTokenResponse")]
        ClientApp.AuthService.WebServiceOutputValidateSessionByJsonWebToken ValidateSessionByJsonWebToken(ClientApp.AuthService.WebServiceInputValidateSessionByJsonWebToken ws);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IApp/ValidateSessionByJsonWebToken", ReplyAction="http://tempuri.org/IApp/ValidateSessionByJsonWebTokenResponse")]
        System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputValidateSessionByJsonWebToken> ValidateSessionByJsonWebTokenAsync(ClientApp.AuthService.WebServiceInputValidateSessionByJsonWebToken ws);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IAppChannel : ClientApp.AuthService.IApp, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class AppClient : System.ServiceModel.ClientBase<ClientApp.AuthService.IApp>, ClientApp.AuthService.IApp {
        
        public AppClient() {
        }
        
        public AppClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public AppClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public AppClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public AppClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ClientApp.AuthService.WebServiceOutputCreateSession CreateSession(ClientApp.AuthService.WebServiceInputCreateSession ws) {
            return base.Channel.CreateSession(ws);
        }
        
        public System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputCreateSession> CreateSessionAsync(ClientApp.AuthService.WebServiceInputCreateSession ws) {
            return base.Channel.CreateSessionAsync(ws);
        }
        
        public ClientApp.AuthService.WebServiceOutputGetEndUserInfoByJsonWebToken GetUserInfoByJsonWebToken(ClientApp.AuthService.WebServiceInputGetEndUserInfoByJsonWebToken ws) {
            return base.Channel.GetUserInfoByJsonWebToken(ws);
        }
        
        public System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputGetEndUserInfoByJsonWebToken> GetUserInfoByJsonWebTokenAsync(ClientApp.AuthService.WebServiceInputGetEndUserInfoByJsonWebToken ws) {
            return base.Channel.GetUserInfoByJsonWebTokenAsync(ws);
        }
        
        public ClientApp.AuthService.WebServiceOutputReportEndUserLoginInfoByJsonWebToken ReportUserLoginInfoByJsonWebToken(ClientApp.AuthService.WebServiceInputReportEndUserLoginInfoByJsonWebToken ws) {
            return base.Channel.ReportUserLoginInfoByJsonWebToken(ws);
        }
        
        public System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputReportEndUserLoginInfoByJsonWebToken> ReportUserLoginInfoByJsonWebTokenAsync(ClientApp.AuthService.WebServiceInputReportEndUserLoginInfoByJsonWebToken ws) {
            return base.Channel.ReportUserLoginInfoByJsonWebTokenAsync(ws);
        }
        
        public ClientApp.AuthService.WebServiceOutputValidateSessionByJsonWebToken ValidateSessionByJsonWebToken(ClientApp.AuthService.WebServiceInputValidateSessionByJsonWebToken ws) {
            return base.Channel.ValidateSessionByJsonWebToken(ws);
        }
        
        public System.Threading.Tasks.Task<ClientApp.AuthService.WebServiceOutputValidateSessionByJsonWebToken> ValidateSessionByJsonWebTokenAsync(ClientApp.AuthService.WebServiceInputValidateSessionByJsonWebToken ws) {
            return base.Channel.ValidateSessionByJsonWebTokenAsync(ws);
        }
    }
}
